#include <iostream>
#include<algorithm> 
#include <string>
#include <cmath>
#include <iomanip>
using namespace std;

double A[200001];
double P[200001];
double zbirresenje[200001];
double resenje[200001];

int main()
{
    int i, j = 0, brojac = 0;
    double n, realresenje = 0;

    cin >> n;

    for (i = 0; i < n; i++)
    {
        cin >> A[i] >> P[i];
    }

    for ( i = 0; i < n; i++)
    {
        zbirresenje[i] += A[i];
    }

    for ( i = 0; i < n; i++)
    {
        for (int j = 0; j < n; j++)
        {
            if (P[i] <= P[j])
            {
                zbirresenje[i] += A[j];
            }
        }
    }

    for ( i = 0; i < n; i++)
    {
        resenje[i] = zbirresenje[i] * P[i] / 100;
    }

    for ( i = 0; i < n; i++)
    {
        if (resenje[i] > realresenje)
        {
            realresenje = resenje[i];
        }
    }

    cout << setprecision(10)<< realresenje << endl;
    
}